package jp.denpa.tomy.games;

import javax.microedition.khronos.opengles.GL10;

import android.content.Context;

import jp.denpa.tomy.opengl_es.wrap.GL2DVertex;
import jp.denpa.tomy.opengl_es.wrap.GLTexture;
import jp.denpa.tomy.opengl_es.wrap.MainRenderer;
import jp.denpa.tomy.opengl_es.wrap.Vector2;


//インターフェイスを継承して書くメソッドを独自に実装
public class Start implements Task{

	//テスト
	private GL2DVertex test;
	private GL2DVertex test2;
	private GLTexture  tex1  = new GLTexture();
	private GLTexture  tex2  = new GLTexture();
	private float a=0;						//色んな動作の確認用（消していいよ）
	private GL10 gl10;
	private Context context;


	@Override
	public void Init(GL10 gl,Context ctext) {			//引数の問題は後で直す
		gl10 = gl;
		context = ctext;
		tex1.LoadTexture(gl10, context.getResources(), R.drawable.image_512);
		tex1.SetTex(GL10.GL_NEAREST,GL10.GL_NEAREST);

		tex2.LoadTexture(gl10, context.getResources(), R.drawable.image_128);
		tex2.SetTex(GL10.GL_LINEAR,GL10.GL_LINEAR);

		test = new GL2DVertex(gl10);
		test2 = new GL2DVertex(gl10);

		test.Init();
		test2.Init();

		test.SetTexName(tex1.getTexName());
		test2.SetTexName(tex2.getTexName());

		test.SetTurnFlg(false);
		test2.SetTurnFlg(false);

	}

	@Override
	public void Work() {
		// TODO 自動生成されたメソッド・スタブ

	}

	@Override
	public void Update() {

		a++;


		// 描画座標とサイズを設定
		test.center=new Vector2(300+a,300);
		test.size=new Vector2(50,50);

		//tex1.SetTex();
		// テクスチャのUV座標を設定
		test.SetUV(1, 1, 1, 1);
		test.SetColor(1, 1, 0, 0);
		// 描画
		test.SetTexName(tex1.getTexName());


		test2.center=new Vector2(100,100+a);
		test2.size=new Vector2(100,100);

//		tex2.SetTex(0, 0);
		test2.SetUV(3, 3, 1, 1,false);
		test2.SetColor(1, 0, 1, 0);
		test2.SetTexName(tex2.getTexName());


	}

	@Override
	public void Draw() {
//2Dウィンドウ座標系描画設定--------------------------------------------------------		
//		//ビューポート変換
//		gl10.glViewport(0,0,MainRenderer.screenW,MainRenderer.screenH);

//		//投影変換
//		gl10.glMatrixMode(GL10.GL_PROJECTION);
//		gl10.glLoadIdentity();
//		gl10.glOrthof(0,MainRenderer.screenW,-MainRenderer.screenH,0 , -10,10);			//座標系の指定（左上原点Wndow座標系指定(ニア、ファーは０にして２D専用にしている)）
//ここまで--------------------------------------------------------------------------
		test.Draw();
		test2.Draw();

	}

	@Override
	public void Release() {
		// TODO 自動生成されたメソッド・スタブ

	}

}